Subject: Re: bug#53513: 28.0.50; fido-vertical-mode does not work with tramp

From: [email-masked]
Date: Tue, 25 Jan 2022 09:35:45 +0000 (GMT)

> On 25/01/2022 09:15 Michael Albinus <[email-masked]> wrote:
> 
>  
> schlurfi--- via "Bug reports for GNU Emacs, the Swiss army knife of text
> editors" <[email-masked]> writes:
> 
> Hi,
> 
> > emacs -Q
> > C-x C-f
> > type: "//ssh:" -> expectation: start completion, first host, then
> > directories / files on host. However, nothing meaningful happens...
> 
> In your recipe, ypu don't mention enabling fido-vertical-mode. Running
> your recipe as-it-is works for me as expected.
> 
> With fido-vertical-mode enabled, this is bug #51386 and #52758, I'm
> merging this bug with them. It is an unfortunate problem Tramp cannot
> solve alone.
> 

Indeed, I forgot to add "fido-vertical-mode" to the recipe, sorry about that. 

> > Note: with only fido-mode, it is possible to open a tramp connection,
> > but trying to change the directory deletes the whole line (//ssh:...)
> > instead of only the directory. This means one has to start from scratch
> > typing the connection details etc.
> 
> Hmm, this I cannot reproduce locally. Perhaps you have typed three
> slashes "///" in order to change the directory? Could you pls give an
> exact recipe, starting with "emacs -Q"?
> 
> Best regards, Michael.

What I type is this:

emacs -Q
fido-mode
C-x C-f
//ssh:hostname:~/
DEL

for me, this then deletes the whole line. 

fido-mode
C-x C-f
//ssh:hostname:/etc/
DEL
DEL

also deletes the whole line, maybe that is what is suppoused to happen?

Thank you!!